{% extends "core/page.html" %}
{% load i18n crispy_forms_tags breadcrumbs %}

{% block title %}
  {% translate 'Administration' %} - {% translate 'Users' %}
{% endblock %}

{% block page_title %}
  {% if object %}
    {% translate 'User' %}: <span id="page-title-user">{{ object }}</span>
  {% else %}
    {% translate 'Edit profile' %}
  {% endif %}
{% endblock %}

{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "User profile" path=request.path %}
{% endblock %}

{% block content %}
  <div class="card">
    <div class="row">
      <div class="col-2">
        <div class="card-header">
          <ul data-bs-toggle="tabs" role="tablist" class="nav nav-tabs card-header-tabs nav-vertical flex-column pe-0" aria-orientation="vertical">
            {% for element in elements.ISettingsSection %}
              <li class="nav-item" role="presentation">
                <a
                    href="#user-profile-{{ element.name }}"
                    class="nav-link{% if forloop.first %} active{% endif %}"
                    data-bs-toggle="tab"
                    aria-selected="true"
                    role="tab"
                    hx-get="{% url element.get_view_name pk=object.id %}"
                    hx-target="#user-profile-{{ element.name }}"
                    hx-trigger="{% if forloop.first %}load{% else %}click{% endif %} once"
                >
                  <i class="bi bi-{{ element.icon }} me-1"></i>
                  {{ element.title }}
                </a>
              </li>
            {% endfor %}

          </ul>
        </div>
      </div>
      <div class="col-8">
        <div class="card-body">
          <div class="tab-content">
            {% for element in elements.ISettingsSection %}
              <div
                  class="tab-pane{% if forloop.first %} active show{% endif %}"
                  id="user-profile-{{ element.name }}"
                  role="tabpanel"
              >
              </div>
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

